Skip to main content
GET
List Transaction Processing Tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Query Parameters

source_account_id
string | null

The source account id

status
enum<string> | null

The Transaction Processing Task status

Available options:
pending,
posted,
complete,
failed
sort
enum<string>[] | null

A comma separated list of sort orders for the results.

Available options:
created_datetime,
-created_datetime
ids
string[] | null

A comma separated list of Transaction Processing Task IDs. Only return Tasks with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.

limit
integer
default:50

The number of records to return. Max limit is 1000.

Required range: x >= 1
page_token
string | null

Opaque page token

Response

Successful Response

next_page_token
string | null
required

The token to use to request the next page

Example:

"ikal0NEVfMhF8dJf4yQ6KQZmGD"

prev_page_token
string | null
required

The token to use to request the previous page

Example:

"vuA7JeKI5c6FLnPt5JfRcZcJxW"

records
TxnProcessingTask · object[]
required

A list of Transaction Processing Tasks